View Issue Details

IDProjectCategoryView StatusLast Update
0000167Adventure PHP FrameworkCode-Verbesserung // Code improvementpublic2015-10-12 12:20
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target Version2.1Fixed in Version2.1 
Summary0000167: Remove fallback code for pre-1.13 configuration provider behaviour
DescriptionRemove code that has been introduced as fallback:

protected function getFilePath($namespace, $context, $language, $environment, $name) {

   // fallback for missing file extensions (backward compatibility for pre-1.13 config files)
   if (!preg_match('/\.' . $this->extension . '$/i', $name)) {
      $name = $name . '.' . $this->extension;
   }

   ...

}
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-03-03 23:15 ChristianAchatz New Issue
2014-03-03 23:15 ChristianAchatz Assigned To => ChristianAchatz
2014-03-03 23:15 ChristianAchatz Status new => assigned
2014-03-04 15:43 ChristianAchatz Status assigned => resolved
2014-03-04 15:43 ChristianAchatz Fixed in Version => 2.1
2014-03-04 15:43 ChristianAchatz Resolution open => fixed
2015-10-12 12:20 ChristianAchatz Status resolved => closed